# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.api.entities_api import EntitiesApi


class TestEntitiesApi(unittest.IsolatedAsyncioTestCase):
    """EntitiesApi unit test stubs"""

    async def asyncSetUp(self) -> None:
        self.api = EntitiesApi()

    async def asyncTearDown(self) -> None:
        await self.api.api_client.close()

    async def test_create_entity_api_v1_entities_post(self) -> None:
        """Test case for create_entity_api_v1_entities_post

        Create Entity
        """
        pass

    async def test_create_entity_properties_api_v1_entities_id_properties_post(self) -> None:
        """Test case for create_entity_properties_api_v1_entities_id_properties_post

        Create Entity Properties
        """
        pass

    async def test_create_or_update_entities_bulk_api_v1_entities_bulk_put(self) -> None:
        """Test case for create_or_update_entities_bulk_api_v1_entities_bulk_put

        Create Or Update Entities Bulk
        """
        pass

    async def test_delete_entity_api_v1_entities_id_delete(self) -> None:
        """Test case for delete_entity_api_v1_entities_id_delete

        Delete Entity
        """
        pass

    async def test_delete_entity_properties_api_v1_entities_id_properties_property_key_delete(self) -> None:
        """Test case for delete_entity_properties_api_v1_entities_id_properties_property_key_delete

        Delete Entity Properties
        """
        pass

    async def test_evaluate_temporary_calculation_properties_api_v1_entities_id_calculation_properties_test_post(self) -> None:
        """Test case for evaluate_temporary_calculation_properties_api_v1_entities_id_calculation_properties_test_post

        Evaluate Temporary Calculation Properties
        """
        pass

    async def test_get_aggregated_calculation_property_by_key_api_v1_entities_calculation_properties_get(self) -> None:
        """Test case for get_aggregated_calculation_property_by_key_api_v1_entities_calculation_properties_get

        Get Aggregated Calculation Property By Key
        """
        pass

    async def test_get_entities_api_v1_entities_get(self) -> None:
        """Test case for get_entities_api_v1_entities_get

        Get Entities
        """
        pass

    async def test_get_entity_api_v1_entities_id_get(self) -> None:
        """Test case for get_entity_api_v1_entities_id_get

        Get Entity
        """
        pass

    async def test_get_entity_calculation_properties_api_v1_entities_id_calculation_properties_get(self) -> None:
        """Test case for get_entity_calculation_properties_api_v1_entities_id_calculation_properties_get

        Get Entity Calculation Properties
        """
        pass

    async def test_get_entity_calculation_properties_by_key_api_v1_entities_id_calculation_properties_calculation_property_key_get(self) -> None:
        """Test case for get_entity_calculation_properties_by_key_api_v1_entities_id_calculation_properties_calculation_property_key_get

        Get Entity Calculation Properties By Key
        """
        pass

    async def test_get_entity_properties_api_v1_entities_id_properties_get(self) -> None:
        """Test case for get_entity_properties_api_v1_entities_id_properties_get

        Get Entity Properties
        """
        pass

    async def test_get_entity_property_api_v1_entities_id_properties_property_key_get(self) -> None:
        """Test case for get_entity_property_api_v1_entities_id_properties_property_key_get

        Get Entity Property
        """
        pass

    async def test_get_relations_api_v1_entities_id_relations_get(self) -> None:
        """Test case for get_relations_api_v1_entities_id_relations_get

        Get Relations
        """
        pass

    async def test_search_entities_api_v1_entities_search_post(self) -> None:
        """Test case for search_entities_api_v1_entities_search_post

        Search Entities
        """
        pass

    async def test_update_entity_properties_api_v1_entities_id_properties_put(self) -> None:
        """Test case for update_entity_properties_api_v1_entities_id_properties_put

        Update Entity Properties
        """
        pass

    async def test_upsert_entity_api_v1_entities_id_put(self) -> None:
        """Test case for upsert_entity_api_v1_entities_id_put

        Upsert Entity
        """
        pass

    async def test_validate_entity_api_v1_entities_validate_post(self) -> None:
        """Test case for validate_entity_api_v1_entities_validate_post

        Validate Entity
        """
        pass


if __name__ == '__main__':
    unittest.main()
